org.apache.lucene.search.regex

## Class RegexTermEnum

- java.lang.Object
- - org.apache.lucene.index.TermEnum
  - - org.apache.lucene.search.FilteredTermEnum
    - - org.apache.lucene.search.regex.RegexTermEnum

-     public class RegexTermEnum
      extends FilteredTermEnum

  Subclass of FilteredTermEnum for enumerating all terms that match the specified regular expression term using the specified regular expression implementation.

  Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.FilteredTermEnum

      `actualEnum, currentTerm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexTermEnum(IndexReader reader, Term term, RegexCapabilities regexImpl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the enumeration to further activity, freeing resources.
    `float` | `difference()` Equality measure on the term
    `boolean` | `endEnum()` Indicates the end of the enumeration has been reached
    `protected boolean` | `termCompare(Term term)` Equality compare on the term

    - ### Methods inherited from class org.apache.lucene.search.FilteredTermEnum

      `docFreq, next, setEnum, term`

    - ### Methods inherited from class org.apache.lucene.index.TermEnum

      `skipTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexTermEnum

          public RegexTermEnum(IndexReader reader,
                               Term term,
                               RegexCapabilities regexImpl)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### termCompare

          protected final boolean termCompare(Term term)

      Description copied from class: `FilteredTermEnum`
      Equality compare on the term
      Specified by:
        `termCompare` in class `FilteredTermEnum`

    - #### difference

          public final float difference()

      Description copied from class: `FilteredTermEnum`
      Equality measure on the term
      Specified by:
        `difference` in class `FilteredTermEnum`

    - #### endEnum

          public final boolean endEnum()

      Description copied from class: `FilteredTermEnum`
      Indicates the end of the enumeration has been reached
      Specified by:
        `endEnum` in class `FilteredTermEnum`

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from class: `FilteredTermEnum`
      Closes the enumeration to further activity, freeing resources.
      Overrides:
        `close` in class `FilteredTermEnum`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.